# Class Binary

code »

Manages a Firefox subprocess configured for use with WebDriver.

## Constructor

Binary ( opt_exe )

Parameters

opt_exe: `string=`
  Path to the Firefox binary to use. If not specified, will attempt to locate Firefox on the current system.

Show:Public Protected Private

## Instance Methods

code »addArguments ( var_args )

Add arguments to the command line used to start Firefox.

Parameters

var_args: `...(string|!Array.<string>)`
  Either the arguments to add as varargs, or the arguments as an array.

code »kill ( ) ⇒ `!promise.Promise`

Kills the managed Firefox process.

Returns

A promise for when the process has terminated.

code »launch ( profile ) ⇒ `!promise.Promise`

Launches Firefox and eturns a promise that will be fulfilled when the process terminates.

Parameters

profile: `string`
  Path to the profile directory to use.

Returns

A promise for the process result.

Throws

`Error`
  If this instance has already been started.

## Instance Properties

code »args_ : `!Array.<string>`
code »command_ : `promise.Promise`
code »env_ : `!Object.<string, string>`
code »exe_ : `(string|undefined)`